GNU bug report logs - #50568
Missing source code

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Severity: important; Reported by: Ludovic Courtès <ludovic.courtes@HIDDEN>; dated Mon, 13 Sep 2021 13:17:01 UTC; Maintainer for guix is bug-guix@HIDDEN.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 20 Sep 2021 07:25:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 20 03:25:55 2021
Received: from localhost ([127.0.0.1]:40889 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mSDgZ-0004zs-Id
	for submit <at> debbugs.gnu.org; Mon, 20 Sep 2021 03:25:55 -0400
Received: from eggs.gnu.org ([209.51.188.92]:52698)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mSDgU-0004zb-5d
 for 50568 <at> debbugs.gnu.org; Mon, 20 Sep 2021 03:25:54 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:52032)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mSDgN-0000QE-Ka; Mon, 20 Sep 2021 03:25:44 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35880 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mSDg9-0000lR-6l; Mon, 20 Sep 2021 03:25:43 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Subject: Re: bug#50568: Missing source code
References: <87k0jk8vkf.fsf@HIDDEN>
 <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
 <87tuin7dr4.fsf@HIDDEN>
 <20210914093610.u56q7ltjbwbbnf34@HIDDEN>
 <8735q41ezt.fsf@HIDDEN>
 <20210917104650.xf5hb4e2wjb734ed@HIDDEN>
Date: Mon, 20 Sep 2021 09:25:27 +0200
In-Reply-To: <20210917104650.xf5hb4e2wjb734ed@HIDDEN>
 (pelzflorian@HIDDEN's message of "Fri, 17 Sep 2021 12:46:50
 +0200")
Message-ID: <87fstzr9nc.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50568
Cc: Maxime Devos <maximedevos@HIDDEN>, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi Florian,

"pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN> skribis:

> On Tue, Sep 14, 2021 at 10:38:55AM +0200, Ludovic Court=C3=A8s wrote:
>> I wonder if there=E2=80=99s a way to construct generic web.archive.org U=
RLs that
>> we could use as a fallback in (guix build download)?
> On Thu, Sep 16, 2021 at 09:45:26PM +0200, Ludovic Court=C3=A8s wrote:
>> How =E2=80=99bout the attached patch?  Works for me.
>
> Thank you for implementing.  I guix pull with the patch applied, add the =
IP
> from
>
> guix environment --ad-hoc bind:utils -- dig web.archive.org
>
> to /etc/hosts, set my DNS server to a non-existing 10.0.0.50, disable
> IPv6, then =E2=80=9Csudo herd stop nscd=E2=80=9D, re-connect Network Mana=
ger (ping
> gnu.org fails now) and LC_ALL=3Den_US.utf8 guix install hello.  It
> fails.  Did I misunderstand the patch=E2=80=99s purpose or test in a wrong
> way?  This is the output:

The thing is that this code is used by the internal =E2=80=98guix
perform-download=E2=80=99 command, invoked by =E2=80=98guix-daemon=E2=80=99=
 when performing a
source download.  Thus, since you were still running the old daemon, you
were using code lacking the Internet Archive fallback.

To test it, you can first start the new daemon, along these lines:

  sudo herd stop guix-daemon
  sudo -E ./pre-inst-env guix-daemon --build-users-group=3Dguixbuild

Another option is to call =E2=80=98url-fetch=E2=80=99 manually at the REPL.

Thanks for testing!

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 17 Sep 2021 10:47:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 06:47:09 2021
Received: from localhost ([127.0.0.1]:58625 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRBOZ-0005ao-KL
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 06:47:09 -0400
Received: from pelzflorian.de ([5.45.111.108]:50108 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1mRBOX-0005aG-9a
 for 50568 <at> debbugs.gnu.org; Fri, 17 Sep 2021 06:47:02 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 43C54360674;
 Fri, 17 Sep 2021 12:47:00 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1631875620;
 bh=PRTW0Y0Or4LR5N+4a5kAsi74cLrvhUq5v4wDWyXyyfA=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=tztfFtNDLv4ptKwODmqP55SdmRxNS7qGP6FNXNiK7QiI2JIGo6VmWPCvxy5vtQzkl
 fNS+sNjX2LmF1nrsAMrMBZuA/SJIVE1dYv4+69VRB7q33t6498V3rSjV4WyBMTIzZj
 1uA1eMB3EgSmHjkAUNWcK4/+BnDZN2WsQFnKtXg8=
Date: Fri, 17 Sep 2021 12:46:50 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#50568: Missing source code
Message-ID: <20210917104650.xf5hb4e2wjb734ed@HIDDEN>
References: <87k0jk8vkf.fsf@HIDDEN>
 <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
 <87tuin7dr4.fsf@HIDDEN>
 <20210914093610.u56q7ltjbwbbnf34@HIDDEN>
 <8735q41ezt.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <8735q41ezt.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50568
Cc: Maxime Devos <maximedevos@HIDDEN>, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Sep 14, 2021 at 10:38:55AM +0200, Ludovic Courtès wrote:
> I wonder if there’s a way to construct generic web.archive.org URLs that
> we could use as a fallback in (guix build download)?
On Thu, Sep 16, 2021 at 09:45:26PM +0200, Ludovic Courtès wrote:
> How ’bout the attached patch?  Works for me.

Thank you for implementing.  I guix pull with the patch applied, add the IP
from

guix environment --ad-hoc bind:utils -- dig web.archive.org

to /etc/hosts, set my DNS server to a non-existing 10.0.0.50, disable
IPv6, then “sudo herd stop nscd”, re-connect Network Manager (ping
gnu.org fails now) and LC_ALL=en_US.utf8 guix install hello.  It
fails.  Did I misunderstand the patch’s purpose or test in a wrong
way?  This is the output:

florian@florianacer ~$ LC_ALL=en_US.utf8 guix install hello
The following package will be installed:
   hello 2.10

substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: warning: ci.guix.gnu.org: host not found: Temporary failure in name resolution
substitute: 
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'...   0.0%guix substitute: warning: bordeaux.guix.gnu.org: host not found: Temporary failure in name resolution
substitute: 
The following derivations will be built:
   /gnu/store/4hsqwl19n4m2scipkzy0rsc04n30vhbk-profile.drv
   /gnu/store/xr30pd6zw8lp0xz3kq2d7gm3c8pmh674-hello-2.10.drv
   /gnu/store/wy24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv

substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'...   0.0%
applying 5 grafts for /gnu/store/rsizfxkag8gkbccr5d4g9xdacgwh8wya-at-spi2-core-2.34.0.drv ...
building /gnu/store/wy24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv...
\builder for `/gnu/store/wy24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv' failed to produce output path `/gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz'
build of /gnu/store/wy24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv failed
View build log at '/var/log/guix/drvs/wy/24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv.bz2'.
applying 4 grafts for /gnu/store/8jj80f4p5bp9s09zawxmli13chrdx2ri-at-spi2-atk-2.34.1.drv ...
cannot build derivation `/gnu/store/xr30pd6zw8lp0xz3kq2d7gm3c8pmh674-hello-2.10.drv': 1 dependencies couldn't be built
cannot build derivation `/gnu/store/4hsqwl19n4m2scipkzy0rsc04n30vhbk-profile.drv': 1 dependencies couldn't be built
guix install: error: build of `/gnu/store/4hsqwl19n4m2scipkzy0rsc04n30vhbk-profile.drv' failed
florian@florianacer ~$ bzcat /var/log/guix/drvs/wy/24jyd0mm2jlgpzsxxlip03df065g35-hello-2.10.tar.gz.drv.bz2

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
From https://ftpmirror.gnu.org/gnu/hello/hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
From ftp://ftp.cs.tu-berlin.de/pub/gnu/hello/hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
From ftp://ftp.funet.fi/pub/mirrors/ftp.gnu.org/gnu/hello/hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
From http://ftp.gnu.org/pub/gnu/hello/hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
From https://ci.guix.gnu.org/file/hello-2.10.tar.gz/sha256/0ssi1wpaf7plaswqqjwigppsg5fyh99vdlb9kzl7c9lng89ndq1i...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
From https://tarballs.nixos.org/sha256/0ssi1wpaf7plaswqqjwigppsg5fyh99vdlb9kzl7c9lng89ndq1i...
In procedure getaddrinfo: Temporary failure in name resolution

Starting download of /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz
From https://archive.softwareheritage.org/api/1/content/sha256:31e066137a962676e89f69d1b65382de95a7ef7d914b8cb956f41ea72e0f516b/raw/...
In procedure getaddrinfo: Temporary failure in name resolution
Trying to use Disarchive to assemble /gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz...
In procedure getaddrinfo: Temporary failure in name resolution
could not find its Disarchive specification
failed to download "/gnu/store/hbdalsf5lpf01x4dcknwx6xbn6n5km6k-hello-2.10.tar.gz" from "mirror://gnu/hello/hello-2.10.tar.gz"




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 17 Sep 2021 10:10:41 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Sep 17 06:10:41 2021
Received: from localhost ([127.0.0.1]:58566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mRApN-0004XK-IJ
	for submit <at> debbugs.gnu.org; Fri, 17 Sep 2021 06:10:41 -0400
Received: from mail-qv1-f50.google.com ([209.85.219.50]:42544)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1mRApI-0004X4-DG
 for 50568 <at> debbugs.gnu.org; Fri, 17 Sep 2021 06:10:40 -0400
Received: by mail-qv1-f50.google.com with SMTP id a13so6053411qvo.9
 for <50568 <at> debbugs.gnu.org>; Fri, 17 Sep 2021 03:10:36 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=po+KwMx0NbuBEj5jdstep15SZHEQrQFKY+lZ1qaiMJk=;
 b=LyeqOW8VvALH9jVFYpGavomoGOknT4Mt78I9H809IX0tuggiGehdS5Pgs3Tr+Uza52
 qoPalb7+RZ77O7x9WrC27ekSlM9N9EgQ9Y8QjTHtbQZj6SvPfAseedlzj+1WJ4++VTtq
 L3jfsepF3y6JmyB2mk07FeDCRcBxEdklLYzvyVyKMRjcmsFqU3csUFewmcJdEFkrAVUU
 98sOkGzHzAegL98hGd626wmmceO204305IuGIUNXfKJjyTjBHP4BvHYamSlfVDJjTaYk
 VLawKkF0lzaxt41SERE3AUVoCe1vI9EcoWBUcbL+VQ43KVI7fxn4iUReGcr5vgBpnT4r
 KaFw==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=po+KwMx0NbuBEj5jdstep15SZHEQrQFKY+lZ1qaiMJk=;
 b=zNWHVU7U4ZVAzdklohZ83ICCV7L+mvFUL7sWnYEvHDDcayCemh4yDoKIQ+mR8G7Wd9
 sqv/xLCFbDhCsUsBpI5mvEU85ivVTH/h11mDH8nOa+ttZHyGp1PGQmFZKV+uRqKZQgc5
 XWPGtBqZlaacAAQHLpyJ6Kc5r7HjRQtdBMqNbXOgSKBRwHcQYfjJkNaPEElfPiUQSOS9
 p+DQzG5WJo2cDq1XelHsEccXm5PayDvV1n/Y0D3yX2u4C4izkfYx/33H69lRoFHdlfHg
 Pobd14RmkCur3sb0+gOvRhDmdyHSDyjsgHB8vrkjYVmpqDu8yvfCas9LauBxeqMu3PYR
 zF6w==
X-Gm-Message-State: AOAM531GfjAX6jkTa8vdKyBeCn6NgeWTR0aLdjI1RLIvBkL8Pd/RNAfe
 kEtZSQPbuID/k4vunPFtp0U0PCKHiz2ChV9CiXI=
X-Google-Smtp-Source: ABdhPJw1pn5ZbjzO7XTgeBL40wVePbbpNWmZcqTkNOZoXLkLzsZRhYe2580OjOrBFoj/76gySf+Z7FTQgeQNTLmdaBM=
X-Received: by 2002:a05:6214:1425:: with SMTP id
 o5mr10168199qvx.5.1631873430968; 
 Fri, 17 Sep 2021 03:10:30 -0700 (PDT)
MIME-Version: 1.0
References: <87k0jk8vkf.fsf@HIDDEN>
 <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
 <87tuin7dr4.fsf@HIDDEN>
 <CAJ3okZ0zxgZBNNRPXxUmKpeOJp6AMriJy04DE0tW_U4O_R3ZTA@HIDDEN>
 <878rzw1fst.fsf@HIDDEN>
In-Reply-To: <878rzw1fst.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Fri, 17 Sep 2021 12:10:19 +0200
Message-ID: <CAJ3okZ3LVoZCKp+2pmNJ_qtSE3dubSgQOs7QJHag+2qaPd8-DQ@HIDDEN>
Subject: Re: bug#50568: Missing source code
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50568
Cc: Maxime Devos <maximedevos@HIDDEN>, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Thu, 16 Sept 2021 at 21:28, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
> zimoun <zimon.toutoune@HIDDEN> skribis:
> > On Tue, 14 Sept 2021 at 10:40, Ludovic Court=C3=A8s <ludo@HIDDEN> wrot=
e:
> >
> >> Thanks, they=E2=80=99re now all in store on berlin.
> >
> > Do we do the usual trick to save them on SWH?
>
> I think their contents are already saved on berlin, just not the
> tarballs themselves.

I mean, download the tarball from Berlin, then turn locally the source
to a Git source, archive it on SWH.
As it had been done for guile-dbi for instance.


> Hmm actually maybe they vanished before they got a chance to be
> archived?

Probably.  One thing that I have on my TODO is to write a sources.json
with all the source Berlin has.  Or as a start add the URL of Berlin
as "mirror".

Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 16 Sep 2021 19:46:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 15:46:03 2021
Received: from localhost ([127.0.0.1]:56621 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQxKT-00052S-FW
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 15:46:03 -0400
Received: from eggs.gnu.org ([209.51.188.92]:49144)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQxKR-00052D-LI
 for 50568 <at> debbugs.gnu.org; Thu, 16 Sep 2021 15:45:52 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33846)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQxKL-00087o-2q; Thu, 16 Sep 2021 15:45:45 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35714 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQxK4-0006F6-CS; Thu, 16 Sep 2021 15:45:43 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
Subject: Re: bug#50568: Missing source code
References: <87k0jk8vkf.fsf@HIDDEN>
 <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
 <87tuin7dr4.fsf@HIDDEN>
 <20210914093610.u56q7ltjbwbbnf34@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 30 Fructidor an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 16 Sep 2021 21:45:26 +0200
In-Reply-To: <20210914093610.u56q7ltjbwbbnf34@HIDDEN>
 (pelzflorian@HIDDEN's message of "Tue, 14 Sep 2021 11:36:10
 +0200")
Message-ID: <8735q41ezt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: multipart/mixed; boundary="=-=-="
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50568
Cc: Maxime Devos <maximedevos@HIDDEN>, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable

Hi Florian,

"pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN> skribis:

> On Tue, Sep 14, 2021 at 10:38:55AM +0200, Ludovic Court=C3=A8s wrote:
>> Hi,
>>=20
>> Maxime Devos <maximedevos@HIDDEN> skribis:
>>=20
>> > The Wayback Machine has some copies of software at https://www.atromat=
ic.net:
>>=20
>> Thanks, they=E2=80=99re now all in store on berlin.
>>=20
>> It=E2=80=99s kinda ironic that it=E2=80=99s the Wayback Machine that=E2=
=80=99s saving us here=E2=80=A6
>> I wonder if there=E2=80=99s a way to construct generic web.archive.org U=
RLs that
>> we could use as a fallback in (guix build download)?
>
> AFAIK Just replace the date in
>
> On Mon, Sep 13, 2021 at 03:49:05PM +0200, Maxime Devos wrote:
>> https://web.archive.org/web/20161204140455/https://www.astromatic.net/do=
wnload/stuff/stuff-1.26.0.tar.gz
>
> by the current time.

Oh nice, that seems to work:

--8<---------------cut here---------------start------------->8---
$ guix download https://web.archive.org/web/20210911171400/https://www.astr=
omatic.net/download/stuff/stuff-1.26.0.tar.gz

Starting download of /tmp/guix-file.QXTq4V
From https://web.archive.org/web/20210911171400/https://www.astromatic.net/=
download/stuff/stuff-1.26.0.tar.gz...
following redirection to `https://web.archive.org/web/20161204140455/http:/=
/www.astromatic.net/download/stuff/stuff-1.26.0.tar.gz'...
 =E2=80=A66.0.tar.gz                                                       =
                 200KiB/s 00:20 | 3.9MiB transferred
/gnu/store/l3r5j8r4f6fh6bxa9va3681n3bclxpdq-stuff-1.26.0.tar.gz
1syibi3b86z9pikhicvkkmgxm916j732fdiw0agw0lq6z13fdcjm
--8<---------------cut here---------------end--------------->8---

How =E2=80=99bout the attached patch?  Works for me.

Thanks,
Ludo=E2=80=99.


--=-=-=
Content-Type: text/x-patch
Content-Disposition: inline

diff --git a/guix/build/download.scm b/guix/build/download.scm
index c8ddadfdd4..140e42afec 100644
--- a/guix/build/download.scm
+++ b/guix/build/download.scm
@@ -678,6 +678,18 @@ and write the output to FILE."
                (false-if-exception*
                 (disarchive-assemble spec file #:resolver resolve))))))))
 
+(define (internet-archive-uri uri)
+  "Return a URI corresponding to an Internet Archive backup of URI, or #f if
+URI does not denote a Web URI."
+  (and (memq (uri-scheme uri) '(http https))
+       (let* ((now  (time-utc->date (current-time time-utc)))
+              (date (date->string now "~Y~m~d~H~M~S")))
+         ;; Note: the date in the URL can be anything and web.archive.org
+         ;; automatically redirects to the closest date.
+         (build-uri 'https #:host "web.archive.org"
+                    #:path (string-append "/web/" date "/"
+                                          (uri->string uri))))))
+
 (define* (url-fetch url file
                     #:key
                     (timeout 10) (verify-certificate? #t)
@@ -769,7 +781,9 @@ otherwise simply ignore them."
 
   (setvbuf (current-error-port) 'line)
 
-  (let try ((uri (append uri content-addressed-uris)))
+  (let try ((uri (append uri content-addressed-uris
+                   (or (and=> (internet-archive-uri (first uri)) list)
+                       '()))))
     (match uri
       ((uri tail ...)
        (or (fetch uri file)

--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 16 Sep 2021 19:28:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 16 15:28:25 2021
Received: from localhost ([127.0.0.1]:56612 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQx3T-0004VU-4R
	for submit <at> debbugs.gnu.org; Thu, 16 Sep 2021 15:28:25 -0400
Received: from eggs.gnu.org ([209.51.188.92]:47134)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQx3K-0004V0-PQ
 for 50568 <at> debbugs.gnu.org; Thu, 16 Sep 2021 15:28:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:33308)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQx3E-0001lc-Sp; Thu, 16 Sep 2021 15:28:04 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35712 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQx3E-0004vT-IZ; Thu, 16 Sep 2021 15:28:04 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: zimoun <zimon.toutoune@HIDDEN>
Subject: Re: bug#50568: Missing source code
References: <87k0jk8vkf.fsf@HIDDEN>
 <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
 <87tuin7dr4.fsf@HIDDEN>
 <CAJ3okZ0zxgZBNNRPXxUmKpeOJp6AMriJy04DE0tW_U4O_R3ZTA@HIDDEN>
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 30 Fructidor an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Thu, 16 Sep 2021 21:28:02 +0200
In-Reply-To: <CAJ3okZ0zxgZBNNRPXxUmKpeOJp6AMriJy04DE0tW_U4O_R3ZTA@HIDDEN>
 (zimoun's message of "Tue, 14 Sep 2021 10:54:52 +0200")
Message-ID: <878rzw1fst.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50568
Cc: Maxime Devos <maximedevos@HIDDEN>, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

zimoun <zimon.toutoune@HIDDEN> skribis:

> On Tue, 14 Sept 2021 at 10:40, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:
>
>> Thanks, they=E2=80=99re now all in store on berlin.
>
> Do we do the usual trick to save them on SWH?

I think their contents are already saved on berlin, just not the
tarballs themselves.

For example:

--8<---------------cut here---------------start------------->8---
$ guix download https://web.archive.org/web/20161204140455/https://www.astr=
omatic.net/download/stuff/stuff-1.26.0.tar.gz

Starting download of /tmp/guix-file.HTtGKM
From https://web.archive.org/web/20161204140455/https://www.astromatic.net/=
download/stuff/stuff-1.26.0.tar.gz...
 =E2=80=A66.0.tar.gz                                                       =
                 163KiB/s 00:25 | 3.9MiB transferred
/gnu/store/l3r5j8r4f6fh6bxa9va3681n3bclxpdq-stuff-1.26.0.tar.gz
1syibi3b86z9pikhicvkkmgxm916j732fdiw0agw0lq6z13fdcjm
$ guix environment --ad-hoc disarchive -- disarchive disassemble /gnu/store=
/l3r5j8r4f6fh6bxa9va3681n3bclxpdq-stuff-1.26.0.tar.gz |grep swhid
                        (swhid "swh:1:dir:128bbe76a82dd0b38b725565ed703a714=
8257ae0"))
--8<---------------cut here---------------end--------------->8---

and:

--8<---------------cut here---------------start------------->8---
scheme@(guile-user)> ,use(guix swh)
scheme@(guile-user)> (lookup-directory "128bbe76a82dd0b38b725565ed703a71482=
57ae0")
$24 =3D #f
--8<---------------cut here---------------end--------------->8---

Hmm actually maybe they vanished before they got a chance to be
archived?

Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 14 Sep 2021 09:36:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 05:36:24 2021
Received: from localhost ([127.0.0.1]:47583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ4rY-00014s-LM
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 05:36:24 -0400
Received: from pelzflorian.de ([5.45.111.108]:46132 helo=mail.pelzflorian.de)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <pelzflorian@HIDDEN>) id 1mQ4rX-00014k-By
 for 50568 <at> debbugs.gnu.org; Tue, 14 Sep 2021 05:36:24 -0400
Received: from pelzflorian.localdomain (unknown [5.45.111.108])
 by mail.pelzflorian.de (Postfix) with ESMTPSA id 1836B360674;
 Tue, 14 Sep 2021 11:36:22 +0200 (CEST)
DKIM-Signature: v=1; a=rsa-sha256; c=simple/simple; d=pelzflorian.de;
 s=mail; t=1631612182;
 bh=H83hnsMqKqgEhM8sVrdj5qpJeD53wu4wq48urx6yfJE=;
 h=Date:From:To:Cc:Subject:References:In-Reply-To;
 b=r3t2ZsC/9zSys8I8HOyC4mqdMWjVdgGsBXj1zbtSSr00HKL+aG1vA4sDoG5ND6dGU
 Fp4xujoa6C2QkuG5GBrjArSrjC7oinqXtZbYCd7LQDehtlrqxF/Yr+WHD1NsKvL6ke
 4BbJ7HdPE9AMmQ30hKpOSA9ZTlx//UscNAAcpCC4=
Date: Tue, 14 Sep 2021 11:36:10 +0200
From: "pelzflorian (Florian Pelz)" <pelzflorian@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludo@HIDDEN>
Subject: Re: bug#50568: Missing source code
Message-ID: <20210914093610.u56q7ltjbwbbnf34@HIDDEN>
References: <87k0jk8vkf.fsf@HIDDEN>
 <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
 <87tuin7dr4.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
In-Reply-To: <87tuin7dr4.fsf@HIDDEN>
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50568
Cc: Maxime Devos <maximedevos@HIDDEN>, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

On Tue, Sep 14, 2021 at 10:38:55AM +0200, Ludovic Courtès wrote:
> Hi,
> 
> Maxime Devos <maximedevos@HIDDEN> skribis:
> 
> > The Wayback Machine has some copies of software at https://www.atromatic.net:
> 
> Thanks, they’re now all in store on berlin.
> 
> It’s kinda ironic that it’s the Wayback Machine that’s saving us here…
> I wonder if there’s a way to construct generic web.archive.org URLs that
> we could use as a fallback in (guix build download)?

AFAIK Just replace the date in

On Mon, Sep 13, 2021 at 03:49:05PM +0200, Maxime Devos wrote:
> https://web.archive.org/web/20161204140455/https://www.astromatic.net/download/stuff/stuff-1.26.0.tar.gz

by the current time.

Regards,
Florian




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 14 Sep 2021 08:55:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 04:55:11 2021
Received: from localhost ([127.0.0.1]:47500 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ4Df-0006Jd-Ju
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 04:55:11 -0400
Received: from mail-qk1-f171.google.com ([209.85.222.171]:46059)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <zimon.toutoune@HIDDEN>) id 1mQ4Dd-0006JI-Tf
 for 50568 <at> debbugs.gnu.org; Tue, 14 Sep 2021 04:55:10 -0400
Received: by mail-qk1-f171.google.com with SMTP id a10so13888917qka.12
 for <50568 <at> debbugs.gnu.org>; Tue, 14 Sep 2021 01:55:09 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20210112;
 h=mime-version:references:in-reply-to:from:date:message-id:subject:to
 :cc:content-transfer-encoding;
 bh=SqZtZzd3r3gmTRs9B5nZRJJW7csGpUlO/2CdGSuz0pA=;
 b=RODUx5qsJa9H1dBdFrs2yIifVaP7PRAANnseBzZzKuJmj51MFcN+1WZgHdTcEw+Q6d
 4s0ph6xR0xFTSHPSPKhuuY8IS7GyJGABO/c7b7hBRHdUTs0lyzP7RLH9EwSyKpIGdQSu
 htbtwOMioqVzS/EzF/tt/GrMr5D+oOC+WWI9dcr9i4CqVRf59oHB2B1CPOWQ8OM903nb
 7BPgflCPNqWu1PpRewFVHUfu7lEvyv1AwA/ydcHqVo74ZJrqA81o35e0cP1jfO0scDJj
 i44wX2N1rBFt91yk8j6wWZmDi0vJSNxGlyLEBjnSsCBfmqfybLfLVDVO/5dROco9SJpo
 C+wA==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20210112;
 h=x-gm-message-state:mime-version:references:in-reply-to:from:date
 :message-id:subject:to:cc:content-transfer-encoding;
 bh=SqZtZzd3r3gmTRs9B5nZRJJW7csGpUlO/2CdGSuz0pA=;
 b=INQMjUXUilmfB4tlyEGZBH9D+F+QZFQjWk4Y68jWxMEoXkK4Ai6ITan730qBV4g/UM
 vIN6k4b8dQN65jY2K/fGgLiDproyzzClPQ/Goxxy2WkuIJcAdeEuGRBjSZo9D+kmGphy
 LK/L9QkCw+tS587zOwTPjbhd4f8w2w7gq+CL+fdUZWNSNUA0AmAEw7DeqMRmd1W8pLah
 uAQKKNb7OEf3CC/vfMldm/VgP6azEAC/fjCOxU2Fngw7jyaUeofPWNE6pxfVTJBWepB1
 GKQTfZun1dWJ+BJJkZHjlmFZHOq6nAjhT2DJmO+z1pWso0YjdZuJtNLDYrbWqKbyMe0X
 6gtQ==
X-Gm-Message-State: AOAM533nV8opSJeOqoxXCBXEbdSZWFNb8eobnjJBLnV46+FsbFgqEPeJ
 1rsX0S9ddD7Bu+vhqnXh8cAQX4nVUtOPIqh1EO0=
X-Google-Smtp-Source: ABdhPJx/MEDaOfFYosWMuKuWbCt8YAbb3L2o85YkkOdVcbpAEQo66KYrMdmkUV0gOrJPvyBujd9Ric4gkBK6f13pu1k=
X-Received: by 2002:a37:a3cd:: with SMTP id m196mr3843624qke.253.1631609704271; 
 Tue, 14 Sep 2021 01:55:04 -0700 (PDT)
MIME-Version: 1.0
References: <87k0jk8vkf.fsf@HIDDEN>
 <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
 <87tuin7dr4.fsf@HIDDEN>
In-Reply-To: <87tuin7dr4.fsf@HIDDEN>
From: zimoun <zimon.toutoune@HIDDEN>
Date: Tue, 14 Sep 2021 10:54:52 +0200
Message-ID: <CAJ3okZ0zxgZBNNRPXxUmKpeOJp6AMriJy04DE0tW_U4O_R3ZTA@HIDDEN>
Subject: Re: bug#50568: Missing source code
To: =?UTF-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 50568
Cc: Maxime Devos <maximedevos@HIDDEN>, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi,

On Tue, 14 Sept 2021 at 10:40, Ludovic Court=C3=A8s <ludo@HIDDEN> wrote:

> Thanks, they=E2=80=99re now all in store on berlin.

Do we do the usual trick to save them on SWH?

> It=E2=80=99s kinda ironic that it=E2=80=99s the Wayback Machine that=E2=
=80=99s saving us here=E2=80=A6
> I wonder if there=E2=80=99s a way to construct generic web.archive.org UR=
Ls that
> we could use as a fallback in (guix build download)?

That would help, I guess. :-)

Cheers,
simon




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.
Severity set to 'important' from 'normal' Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 14 Sep 2021 08:40:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 04:40:37 2021
Received: from localhost ([127.0.0.1]:47459 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ3zZ-0003kY-O3
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 04:40:37 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38946)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQ3zY-0003kK-8O
 for 50568 <at> debbugs.gnu.org; Tue, 14 Sep 2021 04:40:36 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45128)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQ3zS-0005Si-P6; Tue, 14 Sep 2021 04:40:30 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35576 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQ3zH-0003FY-PM; Tue, 14 Sep 2021 04:40:29 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#50568: Missing source code
References: <87k0jk8vkf.fsf@HIDDEN> <87zgsgeg9p.fsf@nckx>
 <87wnnkeedl.fsf@nckx>
Date: Tue, 14 Sep 2021 10:40:18 +0200
In-Reply-To: <87wnnkeedl.fsf@nckx> (Tobias Geerinckx-Rice's message of "Mon,
 13 Sep 2021 16:30:36 +0200")
Message-ID: <87pmtb7dot.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50568
Cc: 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Tobias Geerinckx-Rice <me@HIDDEN> skribis:

> Tobias Geerinckx-Rice via Bug reports for GNU Guix =E5=86=99=E9=81=93=EF=
=BC=9A
>> /gnu/store/prbkg6vldsh1688fsigr33g4s8qla7rl-propeller-gcc-b4f45a4725e0b6=
d0af59e594c4e3e35ca4105867-checkout.drv
>
> FTR, I don't think this one's actually down.

Oops, indeed, this one=E2=80=99s available.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 14 Sep 2021 08:39:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 14 04:39:09 2021
Received: from localhost ([127.0.0.1]:47452 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mQ3y9-0003ht-86
	for submit <at> debbugs.gnu.org; Tue, 14 Sep 2021 04:39:09 -0400
Received: from eggs.gnu.org ([209.51.188.92]:38382)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1mQ3y7-0003hO-Bj
 for 50568 <at> debbugs.gnu.org; Tue, 14 Sep 2021 04:39:07 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:45086)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQ3y0-0004DJ-2z; Tue, 14 Sep 2021 04:39:00 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=35574 helo=ribbon)
 by fencepost.gnu.org with esmtpsa
 (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256) (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1mQ3xx-00038g-52; Tue, 14 Sep 2021 04:38:59 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Maxime Devos <maximedevos@HIDDEN>
Subject: Re: bug#50568: Missing source code
References: <87k0jk8vkf.fsf@HIDDEN>
 <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
Date: Tue, 14 Sep 2021 10:38:55 +0200
In-Reply-To: <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
 (Maxime Devos's message of "Mon, 13 Sep 2021 15:49:05 +0200")
Message-ID: <87tuin7dr4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 50568
Cc: 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hi,

Maxime Devos <maximedevos@HIDDEN> skribis:

> The Wayback Machine has some copies of software at https://www.atromatic.=
net:

Thanks, they=E2=80=99re now all in store on berlin.

It=E2=80=99s kinda ironic that it=E2=80=99s the Wayback Machine that=E2=80=
=99s saving us here=E2=80=A6
I wonder if there=E2=80=99s a way to construct generic web.archive.org URLs=
 that
we could use as a fallback in (guix build download)?

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 13 Sep 2021 14:31:19 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 13 10:31:19 2021
Received: from localhost ([127.0.0.1]:46561 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPmzP-0000F5-2Y
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:31:19 -0400
Received: from tobias.gr ([80.241.217.52]:51944)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mPmzM-0000Ev-P4
 for 50568 <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:31:17 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=3VqLDWQ4zMA0n
 ddL84fCI1Na0oZFEYccZKbrj6q+8P0=;
 h=in-reply-to:date:subject:cc:from:
 references; d=tobias.gr; b=CbA6KkWtUq0fImYHRBeAWJEJAQbaR4ab4LSJjYQHUcU
 SgTrhrG2qDTupovghYywwI+NBQ25nLdWPFaEzRLY3iNqkyMaYzIFKpJS2LnD+uQCjsN66P
 3jvzJMP4Du9eLIR/Lqj42TEZaVOZjqKGrAA5uD6WDaHJuPTUWPFFzz2TPUx+krWG8VJMpQ
 zxIGN6qjWnLaBW2G6bYIXlXpQPtdp1c0ksiCSXp8XXSNy5U9jljg+2xsapPmGehTxmgAX3
 Ia+w9u2XaXtcdmKSoVwet48NCFztlfaAQJnq+81pdsGOoy6y7Gkv94FH55Gs799j2cH0Dk
 b3tG7rUonJtEbeEpZgA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id a3a15f0c
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 13 Sep 2021 14:31:14 +0000 (UTC)
References: <87k0jk8vkf.fsf@HIDDEN> <87zgsgeg9p.fsf@nckx>
From: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#50568: Missing source code
Date: Mon, 13 Sep 2021 16:30:36 +0200
In-reply-to: <87zgsgeg9p.fsf@nckx>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87wnnkeedl.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: 1.2 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 
 Content preview:  Tobias Geerinckx-Rice via Bug reports for GNU Guix 写道:
    > /gnu/store/prbkg6vldsh1688fsigr33g4s8qla7rl-propeller-gcc-b4f45a4725e0b6d0af59e594c4e3e35ca4105867-checkout.drv
    FTR, I don't think this one's actually down. 
 
 Content analysis details:   (1.2 points, 10.0 required)
 
  pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
  1.2 MISSING_HEADERS        Missing To: header
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
                              no trust
                             [80.241.217.52 listed in list.dnswl.org]
X-Debbugs-Envelope-To: 50568
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludovic.courtes@HIDDEN>,
 bug-guix@HIDDEN, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice via Bug reports for GNU Guix =E5=86=99=E9=81=93=EF=BC=
=9A
> /gnu/store/prbkg6vldsh1688fsigr33g4s8qla7rl-propeller-gcc-b4f45a4725e0b6d=
0af59e594c4e3e35ca4105867-checkout.drv

FTR, I don't think this one's actually down.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYT9gtg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15BK8BAI4mkOtBJDXPL6KP/OTuKMzN71Z0wBSybEBVu5ru
L01qAQDbtWXQWbITGyy8XpHzXHfRGRNsjODQy//p2kbwbqUUBA==
=/yzX
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Sep 2021 14:31:32 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 13 10:31:32 2021
Received: from localhost ([127.0.0.1]:46564 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPmzT-0000FM-8D
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:31:32 -0400
Received: from lists.gnu.org ([209.51.188.17]:52360)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mPmzR-0000FE-Dk
 for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 10:31:21 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:52580)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1mPmzP-00069J-M5
 for bug-guix@HIDDEN; Mon, 13 Sep 2021 10:31:21 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:59510)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1mPmzN-0003UH-FY
 for bug-guix@HIDDEN; Mon, 13 Sep 2021 10:31:18 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=3VqLDWQ4zMA0n
 ddL84fCI1Na0oZFEYccZKbrj6q+8P0=;
 h=in-reply-to:date:subject:cc:from:
 references; d=tobias.gr; b=CbA6KkWtUq0fImYHRBeAWJEJAQbaR4ab4LSJjYQHUcU
 SgTrhrG2qDTupovghYywwI+NBQ25nLdWPFaEzRLY3iNqkyMaYzIFKpJS2LnD+uQCjsN66P
 3jvzJMP4Du9eLIR/Lqj42TEZaVOZjqKGrAA5uD6WDaHJuPTUWPFFzz2TPUx+krWG8VJMpQ
 zxIGN6qjWnLaBW2G6bYIXlXpQPtdp1c0ksiCSXp8XXSNy5U9jljg+2xsapPmGehTxmgAX3
 Ia+w9u2XaXtcdmKSoVwet48NCFztlfaAQJnq+81pdsGOoy6y7Gkv94FH55Gs799j2cH0Dk
 b3tG7rUonJtEbeEpZgA==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id a3a15f0c
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 13 Sep 2021 14:31:14 +0000 (UTC)
References: <87k0jk8vkf.fsf@HIDDEN> <87zgsgeg9p.fsf@nckx>
From: Tobias Geerinckx-Rice <me@HIDDEN>
Subject: Re: bug#50568: Missing source code
Date: Mon, 13 Sep 2021 16:30:36 +0200
In-reply-to: <87zgsgeg9p.fsf@nckx>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87wnnkeedl.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -10
X-Spam_score: -1.1
X-Spam_bar: -
X-Spam_report: (-1.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, MISSING_HEADERS=1.021,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=no autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -0.4 (/)
X-Debbugs-Envelope-To: submit
Cc: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludovic.courtes@HIDDEN>,
 bug-guix@HIDDEN, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.2 (/)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Tobias Geerinckx-Rice via Bug reports for GNU Guix =E5=86=99=E9=81=93=EF=BC=
=9A
> /gnu/store/prbkg6vldsh1688fsigr33g4s8qla7rl-propeller-gcc-b4f45a4725e0b6d=
0af59e594c4e3e35ca4105867-checkout.drv

FTR, I don't think this one's actually down.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYT9gtg0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15BK8BAI4mkOtBJDXPL6KP/OTuKMzN71Z0wBSybEBVu5ru
L01qAQDbtWXQWbITGyy8XpHzXHfRGRNsjODQy//p2kbwbqUUBA==
=/yzX
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 13 Sep 2021 13:50:28 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 13 09:50:28 2021
Received: from localhost ([127.0.0.1]:44776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPmLs-0007Ad-Ln
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 09:50:28 -0400
Received: from tobias.gr ([80.241.217.52]:51942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mPmLq-0007AU-Az
 for 50568 <at> debbugs.gnu.org; Mon, 13 Sep 2021 09:50:27 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=EYZJRP95YpwXl
 extrrl1D+j8JLOfxABcNQaUBaVkZuA=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=fJ8USB09h1ZXyB7MYzT9s5qodEsjMkFtl80hN2
 3cUtdOuNxXAMvUe4u7cQmhtTVJvNRZ3WpG/C2XiloywnELvcU1nntvMhTa1jQhPWY+RDCO
 2sDjQ2G4v2/RT1/MrTchYI1IoA5ipYT7SFWcl3HQhvgaxiKCi6VvfCY4UjhSOcMe+6Cilk
 jfd8SIcRm0UzqwoqpcrEPNjXNl7Meij0g79QEuxhYiTC6mnsLWTiJ8h4XdlyUCCf7RF9Or
 FFZr5OnrBQzYWaMZvB9f3uUetejZTH+U8OFGNd4/+EZ9OCJLBX4DzFhYDJnF94CVDZYrij
 z4osjT95ZYUfwQJEUHLWV53g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 5bc6c99a
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 13 Sep 2021 13:50:23 +0000 (UTC)
References: <87k0jk8vkf.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludovic.courtes@HIDDEN>
Subject: Re: bug#50568: Missing source code
Date: Mon, 13 Sep 2021 15:49:40 +0200
In-reply-to: <87k0jk8vkf.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87zgsgeg9p.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 50568
Cc: bug-guix@HIDDEN, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Ludo',

I'm afraind I only have:

Ludovic Court=C3=A8s =E5=86=99=E9=81=93=EF=BC=9A
> /gnu/store/prbkg6vldsh1688fsigr33g4s8qla7rl-propeller-gcc-b4f45a4725e0b6d=
0af59e594c4e3e35ca4105867-checkout.drv

Let me know where & how to send it.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYT9XIw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15ZgQBAOmpzYOvfmQqKN5grKGSb09BtVod/51QL02dFxCp
dCcCAQDtNb5ZJQH433lQZ441+VXrz184Z3TmqaXOfuAK2ZhVCA==
=r99K
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Sep 2021 13:50:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 13 09:50:40 2021
Received: from localhost ([127.0.0.1]:44779 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPmM3-0007B6-SK
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 09:50:40 -0400
Received: from lists.gnu.org ([209.51.188.17]:38730)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <me@HIDDEN>) id 1mPmM2-0007Ay-3D
 for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 09:50:38 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:41206)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1mPmLy-00075i-Ui
 for bug-guix@HIDDEN; Mon, 13 Sep 2021 09:50:37 -0400
Received: from tobias.gr ([2a02:c205:2020:6054::1]:59506)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <me@HIDDEN>) id 1mPmLu-0000zd-2E
 for bug-guix@HIDDEN; Mon, 13 Sep 2021 09:50:33 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; s=2018; bh=EYZJRP95YpwXl
 extrrl1D+j8JLOfxABcNQaUBaVkZuA=;
 h=in-reply-to:date:subject:cc:to:
 from:references; d=tobias.gr; b=fJ8USB09h1ZXyB7MYzT9s5qodEsjMkFtl80hN2
 3cUtdOuNxXAMvUe4u7cQmhtTVJvNRZ3WpG/C2XiloywnELvcU1nntvMhTa1jQhPWY+RDCO
 2sDjQ2G4v2/RT1/MrTchYI1IoA5ipYT7SFWcl3HQhvgaxiKCi6VvfCY4UjhSOcMe+6Cilk
 jfd8SIcRm0UzqwoqpcrEPNjXNl7Meij0g79QEuxhYiTC6mnsLWTiJ8h4XdlyUCCf7RF9Or
 FFZr5OnrBQzYWaMZvB9f3uUetejZTH+U8OFGNd4/+EZ9OCJLBX4DzFhYDJnF94CVDZYrij
 z4osjT95ZYUfwQJEUHLWV53g==
Received: by submission.tobias.gr (OpenSMTPD) with ESMTPSA id 5bc6c99a
 (TLSv1.3:AEAD-AES256-GCM-SHA384:256:NO); 
 Mon, 13 Sep 2021 13:50:23 +0000 (UTC)
References: <87k0jk8vkf.fsf@HIDDEN>
From: Tobias Geerinckx-Rice <me@HIDDEN>
To: Ludovic =?utf-8?Q?Court=C3=A8s?= <ludovic.courtes@HIDDEN>
Subject: Re: bug#50568: Missing source code
Date: Mon, 13 Sep 2021 15:49:40 +0200
In-reply-to: <87k0jk8vkf.fsf@HIDDEN>
BIMI-Selector: v=BIMI1; s=default;
Message-ID: <87zgsgeg9p.fsf@nckx>
MIME-Version: 1.0
Content-Type: multipart/signed; boundary="=-=-=";
 micalg=pgp-sha512; protocol="application/pgp-signature"
Received-SPF: pass client-ip=2a02:c205:2020:6054::1; envelope-from=me@HIDDEN;
 helo=tobias.gr
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.6 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-guix@HIDDEN, 50568 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.6 (--)

--=-=-=
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: quoted-printable

Ludo',

I'm afraind I only have:

Ludovic Court=C3=A8s =E5=86=99=E9=81=93=EF=BC=9A
> /gnu/store/prbkg6vldsh1688fsigr33g4s8qla7rl-propeller-gcc-b4f45a4725e0b6d=
0af59e594c4e3e35ca4105867-checkout.drv

Let me know where & how to send it.

Kind regards,

T G-R

--=-=-=
Content-Type: application/pgp-signature; name="signature.asc"

-----BEGIN PGP SIGNATURE-----

iIMEARYKACsWIQT12iAyS4c9C3o4dnINsP+IT1VteQUCYT9XIw0cbWVAdG9iaWFz
LmdyAAoJEA2w/4hPVW15ZgQBAOmpzYOvfmQqKN5grKGSb09BtVod/51QL02dFxCp
dCcCAQDtNb5ZJQH433lQZ441+VXrz184Z3TmqaXOfuAK2ZhVCA==
=r99K
-----END PGP SIGNATURE-----
--=-=-=--




Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at 50568 <at> debbugs.gnu.org:


Received: (at 50568) by debbugs.gnu.org; 13 Sep 2021 13:49:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 13 09:49:22 2021
Received: from localhost ([127.0.0.1]:44772 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPmKo-00078i-5i
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 09:49:22 -0400
Received: from laurent.telenet-ops.be ([195.130.137.89]:53452)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <maximedevos@HIDDEN>) id 1mPmKi-00078V-9P
 for 50568 <at> debbugs.gnu.org; Mon, 13 Sep 2021 09:49:20 -0400
Received: from butterfly.local ([213.119.220.40])
 by laurent.telenet-ops.be with bizsmtp
 id tRpD250090stn0d01RpEks; Mon, 13 Sep 2021 15:49:14 +0200
Message-ID: <efa85b3bfea5aac8d64f94f6a54924633ee7ffea.camel@HIDDEN>
Subject: Re: bug#50568: Missing source code
From: Maxime Devos <maximedevos@HIDDEN>
To: Ludovic =?ISO-8859-1?Q?Court=E8s?= <ludovic.courtes@HIDDEN>, 
 50568 <at> debbugs.gnu.org
Date: Mon, 13 Sep 2021 15:49:05 +0200
In-Reply-To: <87k0jk8vkf.fsf@HIDDEN>
References: <87k0jk8vkf.fsf@HIDDEN>
Content-Type: multipart/signed; micalg="pgp-sha512";
 protocol="application/pgp-signature"; boundary="=-2YOVLxcM/u0AUnyxkt6L"
User-Agent: Evolution 3.34.2 
MIME-Version: 1.0
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=telenet.be; s=r21;
 t=1631540954; bh=4BRvJDw49E9WLn9aEL8MmCGsKRTbYDtQQM6WyPiOp24=;
 h=Subject:From:To:Date:In-Reply-To:References;
 b=RNOTl2j+laZCnD6OKX643tnXcXYcjEhdjH8k0vEYeM9tmW81JyzHpCxN9Jbbycq/m
 CNovKxeoQtIy+5pieWCWlq1heKb51n076PGFm/mr3bYJ8YUOseLix7kOuz/5rxsy5L
 ReDAeb2cwnQ9Euncvv/RebBuWzRaHVYNuv7WMydzQX89TmsChVfPrELthNRVoHPSFv
 eAGfsgXVtx/tBMPguyHRAiyI2Yb0OiHJTLT5fgKJa0Fpq6W2zgqQ7t+Hb3w2oOADwk
 Is9Se2HnTVBkWE7rNMWuUqLsqUYMTm4RoKUhuZdSjkBhErsCNmhpa2ugOpHewEP93Z
 mHaeEg/BXgISQ==
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 50568
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)


--=-2YOVLxcM/u0AUnyxkt6L
Content-Type: text/plain; charset="UTF-8"
Content-Transfer-Encoding: quoted-printable

Ludovic Court=C3=A8s schreef op ma 13-09-2021 om 15:16 [+0200]:
> Hello,
>=20
> As of current =E2=80=98master=E2=80=99 (ca.  ec0e05ff306c950142c9ead7c712=
c749617069e7),
> the following source code is missing (these are fixed-output
> derivations):

The Wayback Machine has some copies of software at https://www.atromatic.ne=
t:

>    /gnu/store/3814l5f74b30yy0j84a4wrv8nl16fx26-eye-1.4.1.tar.gz.drv
https://web.archive.org/web/20161204131910/https://www.astromatic.net/downl=
oad/eye/eye-1.4.1.tar.gz

>    /gnu/store/fjk0q2ajk3y18yh5ngif8ir14xckxqa5-weightwatcher-1.12.tar.gz.=
drv

https://web.archive.org/web/20161204140548/https://www.astromatic.net/downl=
oad/weightwatcher/weightwatcher-1.12.tar.gz

>    /gnu/store/syndcxqrzqph12k22y5x6i454jajjw00-skymaker-3.10.5.tar.gz.drv

https://web.archive.org/web/20161206053718/https://www.astromatic.net/downl=
oad/skymaker/skymaker-3.10.5.tar.gz

>    /gnu/store/ginlb786zg4kqnzvxxfh8qx7wqajhl10-stuff-1.26.0.tar.gz.drv

https://web.archive.org/web/20161204140455/https://www.astromatic.net/downl=
oad/stuff/stuff-1.26.0.tar.gz

Greetings,
Maxime.

--=-2YOVLxcM/u0AUnyxkt6L
Content-Type: application/pgp-signature; name="signature.asc"
Content-Description: This is a digitally signed message part
Content-Transfer-Encoding: 7bit

-----BEGIN PGP SIGNATURE-----

iI0EABYKADUWIQTB8z7iDFKP233XAR9J4+4iGRcl7gUCYT9W0RccbWF4aW1lZGV2
b3NAdGVsZW5ldC5iZQAKCRBJ4+4iGRcl7g4EAP0bhV6ayqBzs1Pp3XC3cXlvR4Jv
XUyxdPxuz2+csCeEnwD/T6GbwKNL6p03ISsBTFc2CGHKmFO54UcWRdd5HRK74w0=
=tnk+
-----END PGP SIGNATURE-----

--=-2YOVLxcM/u0AUnyxkt6L--





Information forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 13 Sep 2021 13:16:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Sep 13 09:16:49 2021
Received: from localhost ([127.0.0.1]:44679 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mPlpG-00049B-0b
	for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 09:16:49 -0400
Received: from lists.gnu.org ([209.51.188.17]:45602)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludovic.courtes@HIDDEN>) id 1mPlpA-00048y-Dx
 for submit <at> debbugs.gnu.org; Mon, 13 Sep 2021 09:16:44 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:60688)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludovic.courtes@HIDDEN>)
 id 1mPlp9-0004T5-JO
 for bug-guix@HIDDEN; Mon, 13 Sep 2021 09:16:40 -0400
Received: from mail2-relais-roc.national.inria.fr ([192.134.164.83]:10784)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <ludovic.courtes@HIDDEN>)
 id 1mPlp7-0001qw-EA
 for bug-guix@HIDDEN; Mon, 13 Sep 2021 09:16:39 -0400
IronPort-HdrOrdr: =?us-ascii?q?A9a23=3AjNzVdapqBzOoDYJLkc23CCgaV5rQeYIsimQD?=
 =?us-ascii?q?101hICF9WtCEkYS1gP8e1QLohDt5YgBYpTnmAtjkfZq8z+8W3WB/B9yftWXd0l?=
 =?us-ascii?q?dAabsN0WKA+UyCJ8SdzIFgPM5bGsBD4Z/LbGSS6/yW3ODSKbYdKbe8nJyAtKP/?=
 =?us-ascii?q?yG1xRQZhZ+VB4gt/FwaHAiRNNW17LKt8N5aa5MpBvX6Cf39/VLXdOlA1G8vOoN?=
 =?us-ascii?q?/Kk4ijWhIdGxs7gTP+6w+V1A=3D=3D?=
X-IronPort-AV: E=Sophos;i="5.84,326,1620684000"; d="scan'208";a="528157854"
Received: from unknown (HELO ribbon) ([193.50.110.166])
 by mail2-relais-roc.national.inria.fr with ESMTP/TLS/DHE-RSA-AES256-GCM-SHA384;
 13 Sep 2021 15:16:32 +0200
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludovic.courtes@HIDDEN>
To: bug-guix@HIDDEN
Subject: Missing source code
X-URL: http://www.fdn.fr/~lcourtes/
X-Revolutionary-Date: 27 Fructidor an 229 de la =?utf-8?Q?R=C3=A9volution?=
X-PGP-Key-ID: 0x090B11993D9AEBB5
X-PGP-Key: http://www.fdn.fr/~lcourtes/ludovic.asc
X-PGP-Fingerprint: 3CE4 6455 8A84 FDC6 9DB4  0CFB 090B 1199 3D9A EBB5
X-OS: x86_64-pc-linux-gnu
Date: Mon, 13 Sep 2021 15:16:32 +0200
Message-ID: <87k0jk8vkf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=192.134.164.83;
 envelope-from=ludovic.courtes@HIDDEN;
 helo=mail2-relais-roc.national.inria.fr
X-Spam_score_int: -41
X-Spam_score: -4.2
X-Spam_bar: ----
X-Spam_report: (-4.2 / 5.0 requ) BAYES_00=-1.9, RCVD_IN_DNSWL_MED=-2.3,
 RCVD_IN_MSPIKE_H2=-0.001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

Hello,

As of current =E2=80=98master=E2=80=99 (ca.  ec0e05ff306c950142c9ead7c712c7=
49617069e7),
the following source code is missing (these are fixed-output
derivations):

   /gnu/store/3814l5f74b30yy0j84a4wrv8nl16fx26-eye-1.4.1.tar.gz.drv
   /gnu/store/fjk0q2ajk3y18yh5ngif8ir14xckxqa5-weightwatcher-1.12.tar.gz.drv
   /gnu/store/syndcxqrzqph12k22y5x6i454jajjw00-skymaker-3.10.5.tar.gz.drv
   /gnu/store/ginlb786zg4kqnzvxxfh8qx7wqajhl10-stuff-1.26.0.tar.gz.drv
   /gnu/store/hkgpygplymyyaifk6pmvs2cvmkmfhpkq-clusterProfiler_4.0.4.tar.gz=
.drv
   /gnu/store/ghg86w6i14jkrq8nvcazr7pvxz8i82s2-ggtree_3.0.3.tar.gz.drv
   /gnu/store/prbkg6vldsh1688fsigr33g4s8qla7rl-propeller-gcc-b4f45a4725e0b6=
d0af59e594c4e3e35ca4105867-checkout.drv

These two fail to build with a hash mismatch error:

   /gnu/store/v1h0djr2daz1ymmsb7043r79llcdamxa-canada1500.zip.drv
   /gnu/store/gj7g1hxjja58shki02hcdpbahrxwbcjr-texlive-marginnote-51265-che=
ckout.drv

If you know how to retrieve them, please share!

Ludo=E2=80=99.




Acknowledgement sent to Ludovic Courtès <ludovic.courtes@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#50568; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Mon, 20 Sep 2021 07:30:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.